Contributing
============
We gladly accept contributions to Indivisible (in the form of merge requests **xor** patch files, send them to <deathsbreed@themusicinnoise.net>), however there are a few guidelines that must be followed.

1) Copyright & Licensing
------------------------
The copyright of this project and all of its code, unless stated otherwise, belongs to Nicolás Ortega and is licensed with the [GNU GPLv3](/LICENSE). This also applies to all contributions (contributors may add themselves to the [authors file](/AUTHORS.md) for recognition). This is purely for legal purposes, there is no intention to deny your contributions.

2) Documentation
----------------
All new features added must be well documented using DOxygen style comments. If your patch adds a new feature and it is not well documented we will ask you to finish documenting the code before accepting a merge. This is simply so that both the maintainers of this repo and other users can understand the new API that bas been added.

3) Code-Style
-------------
The only aspects that will be religiously upheld for all contributions to this repo are indentation and bracket placement. All indentation must be tab characters (reason being so that everyone can view the code with the indentation that they prefer rather than being forced to see a specific indentation), and brackets must be attached. Everything else is minor and can be overlooked.

Things that would be nice is if you could avoid having the lines being too long, and please avoid having more than one empty line in a row.

4) Fractured Patches
--------------------
Please make sure your patches are fractured into separate parts so that it may be easy for us to deal with them individually. The reason for this is to avoid having patches that both fix bugs and add features when in reality they should be separate requests. The only exception to this will be if the changes made to the code depend on one another to function properly.

If your patch meets all these requirements and is passed by one of the moderators it will be merged into the main repo.
